| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
convert.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/ref_vector.hpp>`
`#include <boost/operators.hpp>`
`#include <cstddef>`
`#include <functional>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::convert::converter
| A conversion class that implements a conversion from inputs -> outputs. More...
struct | uhd::convert::id_type
| Identify a conversion routine in the registry. More...

## Namespaces
namespace | uhd
namespace | uhd::convert

## Typedefs
typedef std::function< converter::sptr(void)> | uhd::convert::function_type
| Conversion factory function typedef.
typedef int | uhd::convert::priority_type
| Priority of conversion routines.

## Functions
UHD_API bool | uhd::convert::operator== (const id_type &, const id_type &)
| Implement equality_comparable interface.
UHD_API void | uhd::convert::register_converter (const id_type &id, const function_type &fcn, const priority_type prio)
UHD_API function_type | uhd::convert::get_converter (const id_type &id, const priority_type prio=-1)
UHD_API void | uhd::convert::register_bytes_per_item (const std::string &format, const size_t size)
UHD_API size_t | uhd::convert::get_bytes_per_item (const std::string &format)
| Convert an item format to a size in bytes.